> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create SSH key

> Generate a new SSH key for the authenticated user



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json post /users/ssh-key
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /users/ssh-key:
    post:
      tags:
        - Users
      summary: Create SSH key
      description: Generate a new SSH key for the authenticated user
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - publicKey
              properties:
                publicKey:
                  type: string
                  description: publicKey for the SSH key
      responses:
        '200':
          description: ssh key successfully created
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  publicKey:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
        '400':
          description: Invalid request body
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````